Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Analytic Workspace Java API Reference 10g Release 2 (10.2) B14351-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.AWXML
Class HierarchyLevelAssociation

    java.lang.Object
      |
      +--oracle.AWXML.BaseObject
            |
            +--oracle.AWXML.AWObject
                  |
                  +--oracle.AWXML.HierarchyLevelAssociation

public class HierarchyLevelAssociation
extends AWObject
implements DerivedMeasureInput

Associates a `Level` with a `Hierarchy`. A `Hierarchy` has an ordered list of `HierarchyLevelAssociation` objects. The position of a `HierarchyLevelAssociation` in the list specifies the order of the `Level` in the `Hierarchy`.

The first `HierarchyLevelAssociation` in the list should be for the highest `Level`, which has the `Hierarchy` members that have the most aggregate `Measure` values. The last `HierarchyLevelAssociation` in the list should be for the lowest `Level`, with members that have the the least aggregate values.

The `HierarchyLevelAssociation` class implements the `DerivedMeasureInput` interface, so you can use the associated `Level` as an input to the calculations that define a `DerivedMeasure`.

Fields inherited from class oracle.AWXML.BaseObject
`DATABASENULL`

Constructor Summary
`HierarchyLevelAssociation(BaseObject input)` Creates a `HierarchyLevelAssociation` for the specified `Hierarchy`.

Method Summary
`java.lang.String` | `Create(AWConnection connection)` Creates a `HierarchyLevelAssociation` and adds it to the end of the list of a `HierarchyLevelAssociation` objects of the associated `Hierarchy` in the current analytic workspace of the specified connection.
`java.lang.String` | `CreateAfter(AWConnection connection, BaseObject referencedObj)` Creates a `HierarchyLevelAssociation` and adds it after the referenced object in the list of a `HierarchyLevelAssociation` objects of the associated `Hierarchy` in the current analytic workspace of the specified connection.
`java.lang.String` | `CreateBefore(AWConnection connection, BaseObject referencedObj)` Creates a `HierarchyLevelAssociation` and adds it before the referenced object in the list of a `HierarchyLevelAssociation` objects of the associated `Hierarchy` in the current analytic workspace of the specified connection.
`java.lang.String` | `CreateFirst(AWConnection connection)` Creates a `HierarchyLevelAssociation` and adds it at the beginning of the list of a `HierarchyLevelAssociation` objects of the associated `Hierarchy` in the current analytic workspace of the specified connection.
`java.lang.String` | `Delete(AWConnection connection)` Removes the `HierarchyLevelAssociation` from the list of `HierarchyLevelAssociation` objects of the `Hierarchy` in the current analytic workspace of the specified connection.
`AttributeProjection` | `findAttributeProjection(Attribute input)` Gets the `AttributeProjection` that associates the specified dimension `Attribute` to a `Level`.
`Level` | `getLevel()` Gets the `Level` associated with the `HierarchyLevelAssociation`.
`void` | `setLevel(Level input)` Specifies the `Level` for the `HierarchyLevelAssociation`.
`java.lang.String` | `WriteToXML()` Gets an XML representation of the `HierarchyLevelAssociation`.

Methods inherited from class oracle.AWXML.AWObject
`addAttribute, addAttributeProjection, addSourceCubeMapGroup, addSourceDimensionMapGroup, addSourceMappingGroup, createAttribute, createAttributeProjection, createSourceCubeMapGroup, createSourceDimensionMapGroup, getAttributes, getSourceMapGroup, removeAttribute, removeAttributeProjection, removeAttributeProjection, removeSourceMappingGroup`

Methods inherited from class oracle.AWXML.BaseObject
`Alter, DataRead, getColumnName, getId, getLongName, getLongName, getName, getOwner, getPluralName, getPluralName, getSchema, getShortName, getShortName, setColumnName, setLongName, setLongName, setName, setPluralName, setPluralName, setSchema, setShortName, setShortName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HierarchyLevelAssociation

    public HierarchyLevelAssociation(BaseObject input)

  Creates a `HierarchyLevelAssociation` for the specified `Hierarchy`. An application should use the `createHierarchyLevelAssociation` method of the `Hierarchy` to create a `HierarchyLevelAssociation` rather than using this constructor.
  Parameters:
    `input` - The `Hierarchy` with which to associate a `Level`.

Method Detail

### WriteToXML

    public java.lang.String WriteToXML()

  Gets an XML representation of the `HierarchyLevelAssociation`.
  Overrides:
    WriteToXML in class AWObject
  Returns:
    An XML `String` that represents the `HierarchyLevelAssociation`.

### setLevel

    public void setLevel(Level input)

  Specifies the `Level` for the `HierarchyLevelAssociation`.
  Parameters:
    `input` - The `Level` to associate with the `Hierarchy` that owns the `HierarchyLevelAssociation`.

### getLevel

    public Level getLevel()

  Gets the `Level` associated with the `HierarchyLevelAssociation`.
  Returns:
    The `Level` associated with the `HierarchyLevelAssociation`.

### Delete

    public java.lang.String Delete(AWConnection connection)

  Removes the `HierarchyLevelAssociation` from the list of `HierarchyLevelAssociation` objects of the `Hierarchy` in the current analytic workspace of the specified connection.
  Overrides:
    Delete in class BaseObject
  Parameters:
    `connection` - The `AWConnection` that represents the database connection.
  Returns:
    A `String` that contains `success` if the method successfully removes the `HierarchyLevelAssociation` from the list.

### Create

    public java.lang.String Create(AWConnection connection)

  Creates a `HierarchyLevelAssociation` and adds it to the end of the list of a `HierarchyLevelAssociation` objects of the associated `Hierarchy` in the current analytic workspace of the specified connection.
  Overrides:
    Create in class BaseObject
  Parameters:
    `connection` - The `AWConnection` that represents the database connection.
  Returns:
    A `String` that contains `success` if the method successfully creates the `HierarchyLevelAssociation`.

### CreateFirst

    public java.lang.String CreateFirst(AWConnection connection)

  Creates a `HierarchyLevelAssociation` and adds it at the beginning of the list of a `HierarchyLevelAssociation` objects of the associated `Hierarchy` in the current analytic workspace of the specified connection.
  Overrides:
    CreateFirst in class BaseObject
  Parameters:
    `connection` - The `AWConnection` that represents the database connection.
  Returns:
    A `String` that contains `success` if the method successfully creates the `HierarchyLevelAssociation`.

### CreateAfter

    public java.lang.String CreateAfter(AWConnection connection,
                                        BaseObject referencedObj)

  Creates a `HierarchyLevelAssociation` and adds it after the referenced object in the list of a `HierarchyLevelAssociation` objects of the associated `Hierarchy` in the current analytic workspace of the specified connection.
  Overrides:
    CreateAfter in class BaseObject
  Parameters:
    `connection` - The `AWConnection` that represents the database connection.
    `referencedObj` - The `HierarchyLevelAssociation` in the list after which to add the new `HierarchyLevelAssociation`.
  Returns:
    A `String` that contains `success` if the method successfully creates the `HierarchyLevelAssociation`.

### CreateBefore

    public java.lang.String CreateBefore(AWConnection connection,
                                         BaseObject referencedObj)

  Creates a `HierarchyLevelAssociation` and adds it before the referenced object in the list of a `HierarchyLevelAssociation` objects of the associated `Hierarchy` in the current analytic workspace of the specified connection.
  Overrides:
    CreateBefore in class BaseObject
  Parameters:
    `connection` - The `AWConnection` that represents the database connection.
    `referencedObj` - The `HierarchyLevelAssociation` in the list before which to add the new `HierarchyLevelAssociation`.
  Returns:
    A `String` that contains `success` if the method successfully creates the `HierarchyLevelAssociation`.

### findAttributeProjection

    public AttributeProjection findAttributeProjection(Attribute input)

  Gets the `AttributeProjection` that associates the specified dimension `Attribute` to a `Level`. For example, the `TIME_SPAN` dimension attribute for the Month level might be `MONTH_TIME_SPAN`.
  Parameters:
    `input` - The `Attribute` for which you want the `AttributeProjection`.
  Returns:
    The `AttributeProjection` that associates the `Attribute` to a `Level`.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Analytic Workspace Java API Reference 10g Release 2 (10.2) B14351-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2005 Oracle. All rights reserved.